Bug 449851 - javadoc java.lang.NullPointerException
javadoc java.lang.NullPointerException
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sinjdoc (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 17:39 EDT by Orion Poplawski
Modified: 2010-06-21 13:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 13:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JJ2KDecoder.java (2.81 KB, text/plain)
2008-06-03 17:39 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2008-06-03 17:39:01 EDT
Description of problem:

$ javadoc JJ2KDecoder.java
Parsing JJ2KDecoder.java
java.lang.NullPointerException
   at
net.cscott.sinjdoc.parser.CUP$Java15$actions.startTypeDeclaration(sinjdoc.jar.so)
   at net.cscott.sinjdoc.parser.CUP$Java15$actions.CUP$Java15$do_action(sinjdoc.j
ar.so)
   at net.cscott.sinjdoc.parser.Java15.do_action(sinjdoc.jar.so)
   at java_cup.runtime.lr_parser.parse(java_cup-runtime-0.10.jar.so)
   at net.cscott.sinjdoc.parser.PRootDoc.findOrCreateClasse
s(sinjdoc.jar.so)
   at net.cscott.sinjdoc.parser.ParseControl.parse(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.execute(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.execute(sinjdoc.jar.so)
   at n
et.cscott.sinjdoc.Main.execute(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.execute(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.main(sinjdoc.jar.so)

Version-Release number of selected component (if applicable):
java-1.5.0-gcj-devel-1.5.0.0-17.fc8

How reproducible:
Everytime
Comment 1 Orion Poplawski 2008-06-03 17:39:01 EDT
Created attachment 308293 [details]
JJ2KDecoder.java
Comment 2 Bug Zapper 2008-11-26 05:48:49 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Orion Poplawski 2008-12-19 14:06:50 EST
Still present with java-1.5.0-gcj-devel-1.5.0.0-22.fc10.i386.rpm
Comment 4 Orion Poplawski 2008-12-19 14:11:49 EST
sinjdoc-0.5-7.fc10.i386  

Perhaps a better component?
Comment 5 Bug Zapper 2009-11-18 07:32:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Orion Poplawski 2009-11-18 10:22:43 EST
Still present in sinjdoc-0.5-9.fc12.i686
Comment 7 Deepak Bhole 2010-06-21 13:07:20 EDT
Sinjdoc is unsupported upstream -- it has been for a while. It is currently in Fedora for bootstrapping purposes only, and it is not worth fixing unless it is blocking an existing package from building.

Please use javadoc from java-1.6.0-openjdk instead.

Note You need to log in before you can comment on or make changes to this bug.